commit d07284c21104a86ff53463fe541f6d8374e7f708
Author: freddy77 <freddy77>
Date:   Wed Apr 30 14:59:32 2008 +0000

    return proper diagnostic for truncation on SQLGetData

diff --git b/ChangeLog a/ChangeLog
index 92307e0..002b6dd 100644
--- b/ChangeLog
+++ a/ChangeLog
@@ -1,7 +1,3 @@
-Wed Apr 30 09:52:39 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
-	* src/odbc/odbc.c:
-	- return proper diagnostic for truncation on SQLGetData
-
 Sun Mar 23 17:03:48 EDT 2008	JK Lowden <jklowden@freetds.org>
 	* configure.ac RC5
 
@@ -138,4 +134,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2454.2.33 2008/04/30 14:59:32 freddy77 Exp $
+$Id: ChangeLog,v 1.2454.2.32 2008/03/23 21:04:31 jklowden Exp $
diff --git b/src/odbc/odbc.c a/src/odbc/odbc.c
index 4e85254..ffbabe7 100644
--- b/src/odbc/odbc.c
+++ a/src/odbc/odbc.c
@@ -60,7 +60,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: odbc.c,v 1.464.2.10 2008/04/30 14:59:32 freddy77 Exp $");
+TDS_RCSID(var, "$Id: odbc.c,v 1.464.2.9 2008/03/11 08:25:30 freddy77 Exp $");
 
 static SQLRETURN _SQLAllocConnect(SQLHENV henv, SQLHDBC FAR * phdbc);
 static SQLRETURN _SQLAllocEnv(SQLHENV FAR * phenv);
@@ -4651,10 +4651,9 @@ SQLGetData(SQLHSTMT hstmt, SQLUSMALLINT icol, SQLSMALLINT fCType, SQLPOINTER rgb
 			if (colinfo->column_text_sqlgetdatapos == 0 && cbValueMax > 0)
 				++colinfo->column_text_sqlgetdatapos;
 			/* not all readed ?? */
-			if (colinfo->column_text_sqlgetdatapos < colinfo->column_cur_size) {
-				odbc_errs_add(&stmt->errs, "01004", "String data, right truncated");
+			if (colinfo->column_text_sqlgetdatapos < colinfo->column_cur_size)
+				/* TODO add diagnostic */
 				ODBC_RETURN(stmt, SQL_SUCCESS_WITH_INFO);
-			}
 		} else {
 			colinfo->column_text_sqlgetdatapos = colinfo->column_size;
 		}

